Skip to main content
GET
/
v1
/
chatbots
/
account
/
{accountId}
/
chatbot
/
{chatbotId}
Get Chatbot by ID
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/account/{accountId}/chatbot/{chatbotId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Success",
  "data": {
    "chatbotId": "361628903185318481",
    "name": "Support Bot",
    "description": "Handles customer queries",
    "isActive": true,
    "createdByUserId": "360596271623307865",
    "createdAt": "2024-01-15T10:30:00.000Z",
    "updatedAt": "2024-01-20T14:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

ID of the account the chatbot belongs to

Example:

"360596271623307865"

chatbotId
string
required

ID of the chatbot to fetch

Example:

"361628903185318481"

Response

Success

success
boolean
Example:

true

message
string
Example:

"Success"

data
object